@echo off

:top
shift
if "%0" equ "" goto :eof
if "%0" equ "--cflags" goto cflags
if "%0" equ "--ldflags" goto ldflags
if "%0" equ "--ldflags-before-libs" goto ldflagsbeforelibs
if "%0" equ "--libs" goto libs
if "%0" equ "--libmruby-path" goto libmrubypath
if "%0" equ "--help" goto showhelp
echo Invalid Option
goto :eof

:cflags
echo -std=gnu99 -march=pentium4 -mtune=generic -O2 -pipe -I"C:/M/mingw-w64-mruby/src/build-i686-w64-mingw32/include" -I"C:/M/mingw-w64-mruby/src/build-i686-w64-mingw32/build/host/include"
goto top

:libs
echo -lmruby -lm -lws2_32 -lwsock32 -lws2_32
goto top

:ldflags
echo -pipe -Wl,--dynamicbase,--nxcompat,--no-seh -LC:/M/mingw-w64-mruby/src/build-i686-w64-mingw32/build/host/lib
goto top

:ldflagsbeforelibs

goto top

:libmrubypath
echo C:/M/mingw-w64-mruby/src/build-i686-w64-mingw32/build/host/lib/libmruby.a
goto top

:showhelp
echo Usage: mruby-config [switches]
echo   switches:
echo   --cflags                   print flags passed to compiler
echo   --ldflags                  print flags passed to linker
echo   --ldflags-before-libs      print flags passed to linker before linked libraries
echo   --libs                     print linked libraries
echo   --libmruby-path            print libmruby path
